gpio_api.h File Reference

This file provides following mbed GPIO API. More...

`#include "device.h"`

## Functions

Ameba Common
void | gpio_init (gpio_t *obj, PinName pin)
| Initializes the GPIO device, include mode/direction/pull control registers. More...
uint32_t | gpio_set (PinName pin)
| Set the given pin as GPIO. More...
void | gpio_mode (gpio_t *obj, PinMode mode)
| Set GPIO mode. More...
void | gpio_dir (gpio_t *obj, PinDirection direction)
| Set GPIO direction. More...
void | gpio_write (gpio_t *obj, int value)
| Sets value to the selected output port pin. More...
int | gpio_read (gpio_t *obj)
| Reads the specified gpio port pin. More...

## Detailed Description

This file provides following mbed GPIO API.

mbed Microcontroller Library

Author

Version
  V1.0.0

Attention

Copyright (c) 2006-2013 ARM Limited

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.